Page MenuHomePhabricator

Configure WikiLabels as a MediaWiki gadget
Closed, DeclinedPublic

Description

Event Timeline

Halfak created this task.Jun 13 2015, 3:51 PM
Halfak raised the priority of this task from to Needs Triage.
Halfak updated the task description. (Show Details)
Halfak moved this task to Active on the Scoring-platform-team (Current) board.
Halfak added a subscriber: Halfak.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2015, 3:51 PM
He7d3r updated the task description. (Show Details)Jun 14 2015, 1:53 PM
He7d3r set Security to None.
Halfak added a subscriber: He7d3r.Jun 24 2015, 10:02 PM

@He7d3r, do you think we are ready to try getting consensus yet? If not, what conditions do you think we need before we try?

I don't know. I have the feeling that although there are a few users who tried the system at least once (e.g. 15 coders on ptwiki, 32 on enwiki), half of them might not be using the script, so we would be proposing the addition of a new item on Special:Preferences which:

  • would not be used by most of registered users (this would be a bigger problem on enwiki than ptwiki, I think)
  • the users who are using it through their common.js/global.js will notice just a small benefit (and nonetheless they will have the "trouble" of removing from their .js the line which imports wikilabels, and then enable the gadget so that the gadget's code loads wikilabels)
  • would mean we don't have any way to track who enabled the tool (T35355 / T21288)
awight added a subscriber: awight.Jul 28 2015, 6:51 AM
Luke081515 closed this task as Declined.Feb 2 2016, 12:22 AM
Luke081515 added a subscriber: Luke081515.

Declined per T124354. There is no consensus for this change yet. Please reopen the task if consensus reached.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 2 2016, 12:22 AM
Luke081515 reopened this task as Open.Feb 2 2016, 12:45 AM
Halfak added a project: Wikilabels.
Ladsgroup moved this task from Backlog to Front-end on the Wikilabels board.Apr 8 2016, 5:40 AM
Halfak triaged this task as Low priority.Jul 15 2016, 2:40 PM

Right now, we want to enable this as a gadget on 50+ wikis. It sounds painful to need to find an admin in each wiki to do that. @Legoktm & @Krinkle, is there a better way to enable a gadget across many different wikis? Or maybe it would be best if we could get this to the point where it is an extension and enabled as a beta feature across many wikis instead. What do you think?

@Mooeypoo & @Catrope looked at WikiLabels and they suggest that we move away from the gadget pattern and towards a stand-alone wmflabs tool. If so, that'll render this task invalid.

Halfak closed this task as Declined.Feb 14 2017, 3:47 PM